ICC C# SDK

Loading...
Searching...
No Matches
Public Member Functions | Properties | List of all members
ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController Class Reference
Inheritance diagram for ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController:

## Public Member Functions
| ICC4cPwmSdkDeviceController (bool isEthernet=false)
bool | Connect (int port)
| Connects to the device through COM port.
bool | Connect (string ipAddress, int port)
| Connects to the device through Ethernet.
void | Disconnect (bool cleanUp)
| Disconnects from the device.
bool | GoToDfuMode ()
| Switches device to DFU mode.
bool | ChangeModeToPro ()
| Switches device to PRO mode.
bool | ChangeModeToSimple ()
| Switches device to SIMPLE mode.
bool | IsConnected ()
| Returns true, if connection to device is established.
bool | Reconnect ()
| Reconnects to already connected device.
string | GetElectronicSerialNumber ()
| Returns serial number of the electronic.
string | GetProductSerialNumberOnChannel (EChannel channel)
| Returns serial number of the product on specific channel.
List< EConnectedDeviceType > | GetProductTypeOnChannel (EChannel channel)
| Returns type of the product on specific channel.
List< EConnectedDeviceType > | GetConnectedDeviceTypes ()
| Returns all connected product types on all channels.
int | GetBoardFirmwareId ()
| Returns firmware ID of the electronic.
int | GetBoardFirmwareBranch ()
| Returns branch ID of the electronic.
char | GetBoardFirmwareType ()
| Returns type of the electronic.
int | GetBoardFirmwareMajorVersion ()
| Returns firmware major version of the electronic.
int | GetBoardFirmwareMinorVersion ()
| Returns firmware minor version of the electronic.
int | GetBoardFirmwareRevisionVersion ()
| Returns firmware revision version of the electronic.
int | GetBoardFirmwareBuildVersion ()
| Returns firmware build version of the electronic.
string | GetFirmwareSerialNumber ()
| Returns firmware serial number.
string | GetGitHeadSha1 ()
| Returns Git Head SHA1.
IDeviceErrorState[] | GetDeviceStatus ()
| Returns states of the device.
void | ResetErrorFlags ()
| Resets error flag to 0.
EChannel | GetEepromActiveChannel ()
| Returns the active EEPROM channel.
void | SetEepromActiveChannel (EChannel channel)
| Sets the active EEPROM channel.
void | SetBytes (EChannel channel, int index, byte[] inputBytes)
| Sets EEPROM bytes of the product.
byte[] | GetBytes (EChannel channel, int index, int length)
| Returns EEPROM bytes of the product.
int | GetEepromVersion (EChannel channel)
| Returns EEPROM version.
int | GetEepromSubVersion (EChannel channel)
| Returns EEPROM subversion.
int | GetPartConfiguration (EChannel channel)
| Returns part configuration value.
int | GetPartConfigurationVersion (EChannel channel)
| Returns part configuration version value.
float | GetMaxPositiveCurrent (EChannel channel)
| Returns max positive current.
float | GetMaxNegativeCurrent (EChannel channel)
| Returns max negative current.
int | GetOqcResult (EChannel channel)
| Returns OQC result of the device.
uint | GetProductionTimeStamp (EChannel channel)
| Returns production time stamp of the device.
void | LockDeviceEepromWriting (EChannel channel)
| Locks device EEPROM writing.
void | UnlockDeviceEepromWriting (EChannel channel)
| Unlocks device EEPROM writing.
void | ReparseDeviceEeprom (EChannel channel)
| Reparse device EEPROM.
int | GetDeviceEepromSize (EChannel channel)
| Returns EEPROM size of the device.
float | GetBoardOutputTemperature ()
| Returns board output temperature.
void | SetBoardOutputTemperatureThreshold (float temperatureThreshold)
| Sets board output temperature threshold.
float | GetBoardOutputTemperatureThreshold ()
| Returns board output temperature threshold.
float | GetBoardPowerTemperature ()
| Returns board power temperature.
void | SetBoardPowerTemperatureThreshold (float temperatureThreshold)
| Sets board power temperature threshold.
float | GetBoardPowerTemperatureThreshold ()
| Returns board power temperature threshold.
float | GetDeviceTemperature (EChannel channel)
| Returns device temperature.
void | SetDeviceTemperatureThreshold (EChannel channel, float temperatureThreshold)
| Sets device temperature threshold.
float | GetDeviceTemperatureThreshold (EChannel channel)
| Returns board temperature threshold.
void | SetActiveSystem (EIcc4cControlModeSystems controlModeSystem, EChannel channel)
| Sets active control mode system of the axis.
void | ChangeActiveSystem (EChannel channel, EInputSignalStageSystem selectedInputStageSystem)
| Changes active input system of the channel.
float | GetCurrent (EChannel channel)
| Returns static input in amperes.
void | SetCurrent (EChannel channel, float value)
| Sets static input in amperes.
float | GetDiopter (EChannel channel)
| Returns static input in dpt.
void | SetDiopter (EChannel channel, float value)
| Sets static input in dpt.
float | GetUnitlessValue (EChannel channel)
| Returns unitless value.
void | SetUnitlessValue (EChannel channel, float value)
| Sets unitless value.
float[] | GetVectorValues (EChannel channel)
| Returns list of vector values
void | SetVectorValues (EChannel channel, float[] values, int startIndex=0)
| Sets list of vector values
void | SetUnitType (EChannel channel, EICC4cPwmUnitType unit)
| Sets active unit type on channel.
void | SwitchArbitraryVector (EChannel channel, bool running)
| Sets status of signal generator (running, stopped).
float | GetSampleRate (EChannel channel)
| Returns sample rate in Hz.
void | SetSampleRate (EChannel channel, float value)
| Sets sample rate in Hz.
float | GetMinimumSamplingRate (EChannel channel)
| Returns minimum sampling rate in Hz.
float | GetMaximumSamplingRate (EChannel channel)
| Returns maximum sampling rate in Hz.
void | SetPhaseDelayDegrees (EChannel channel, float phaseDelay)
| Sets phase in degrees of generated signal.
void | SetExternalTriggerDivider (EChannel channel, int divider)
| Sets divider for trigger signal. Default 1.
int | GetExternalTriggerDivider (EChannel channel)
| Gets divider for trigger signal. Default 1.
void | SetExternalTriggerOffset (EChannel channel, int divider)
| Sets offset for trigger signal (value must be less than divider value).
int | GetExternalTriggerOffset (EChannel channel)
| Gets offset for trigger signal (value must be less than divider value)
void | SetExternalTriggerGpio (EChannel channel, EExternalTriggerGpiox gpio)
| Sets GPIO for trigger signal.
EExternalTriggerGpiox | GetExternalTriggerGpio (EChannel channel)
| Gets GPIO for trigger signal.
void | SwitchRunning (EChannel channel, bool enable)
| Disable/enable signal generator (running, stopped).
ESignalGeneratorShape | GetShape (EChannel channel)
| Returns shape of waveform.
void | SetShape (EChannel channel, ESignalGeneratorShape shape)
| Sets shape of waveform.
float | GetFrequency (EChannel channel)
| Returns frequency in Hz of generated signal.
void | SetFrequency (EChannel channel, float value)
| Sets frequency in Hz of generated signal.
float | GetAmplitude (EChannel channel)
| Returns amplitude of generated signal.
void | SetAmplitude (EChannel channel, float value)
| Sets amplitude of generated signal.
float | GetScale (EChannel channel)
| Returns multiplier of input.
void | SetScale (EChannel channel, float value)
| Sets multiplier of input.
float | GetTransitionRate (EChannel channel)
| Returns Transition rate of the output. Limits change of output value per second (0.0 means no limit)
void | SetTransitionRate (EChannel channel, float value)
| Sets Transition rate of the output. Limits change of output value per second (0.0 means no limit)
float | GetPhaseDelay (EChannel channel)
| Returns phase in rad of generated signal.
void | SetPhaseDelay (EChannel channel, float phaseDelay)
| Sets phase in rad of generated signal.
float | GetPhaseDelayDegrees (EChannel channel)
| Returns phase in degrees of generated signal.
float | GetDutyCycles (EChannel channel)
| Returns duty cycle of square and pulse shapes (ignored for other shape types)
void | SetDutyCycles (EChannel channel, float dutyCycles)
| Sets duty cycle of square and pulse shapes (ignored for other shape types)
SignalGeneratorParametersDto | GetSignalGeneratorValues (EChannel channel)
| Returns object populated with signal generator values.
void | SetSignalGeneratorValues (EChannel channel, SignalGeneratorParametersDto parameters)
| Sets object populated with signal generator values.
void | ResetFirmware ()
| Resets Firmware.
bool | GetFrontEndPowerState ()
| Returns FrontEnd power supply state.
void | SetFontEndPowerState (bool state)
| Sets FrontEnd power supply state.
float | GetFrontEndVoltage ()
| Returns FrontEnd supply voltage [V].
void | SetFrontEndVoltage (float frontEndVoltage)
| Sets FrontEnd supply voltage [V].
EPwmFrequency | GetOutputStagePwmFrequency ()
| Returns output stage PWM frequency [400, 500, 600, 1000 and 1200 kHz].
void | SetOutputStagePwmFrequency (EPwmFrequency frequency)
| Sets output stage PWM frequency [400, 500, 600, 1000 and 1200 kHz].
bool | GetOutputStageEnabled (EChannel channel)
| Returns if output stage on driver is enabled.
void | SetOutputStageEnabled (EChannel channel, bool enabled)
| Enable/Disable output stage.
float | GetOutputStageCurrentLimit (EChannel channel)
| Returns current limit on output stage.
void | SetOutputStageCurrentLimit (EChannel channel, float value)
| Set current limit on output stage.
float | GetOutputStageOutputCurrent (EChannel channel)
| Returns output stage current.
float | GetOutputStageSensorOutput (EChannel channel)
| Returns Output stage sensor output.
void | EnableSensorReadout (bool enable)
| Enables hall sensor feedback.
void | SetDefaultState (int value)
| Set default hall state.
void | SensorTransformMatrix (EChannel channel, float[] matrix)
| Sensor Transform Matrix.
void | SetPidMinMaxOutputFeedbackOnChannel (EChannel channel, float min, float max)
| Set PID min/max output on hall feedback.
void | SetLinearizationCoefficients (ESensor sensor, float c, float d1, float d2, float d3, float d4, float e)
| Set Linearization coefficients.
void | SetOutputConditioningStageSystem (EChannel channel, EOutputConditioningStageSystem filter)
| Set conditioning filter.
void | SetPidFilterCutOffFrequencyOnChannel (EChannel channel, float frequency)
| Set Cut off.
void | SetPidGainsOnChannel (EChannel channel, float kp, float ki, float kd)
| Set PID gains.
void | SetPidAsControlMode (EChannel channel, int enabled)
| Set PID as control mode.
float | GetNormalisedHallSensor (ESensor sensor)
| Returns normalised value of the hall sensor.
float | GetAdcI (EChannel channel)
| Returns current on specified channel.
float | GetAdcV (EChannel channel)
| Returns voltage on specified channel.
int | GetDevPower (EChannel channel)
| Returns 3v3 for device on specified channel.
void | SetDevPower (EChannel channel, int power)
| Sets 3v3 for device on specified channel.
List< EConnectedDeviceType > | GetDeviceType (EChannel channel)
| Returns device type on specified channel.
float | GetUin ()
| Returns UIN.
float | GetIin ()
| Returns IIN.
float | GetUfe ()
| Returns UFE.
float | GetAnalogIn (EChannel channel)
| Returns analog input on specified channel.
float | GetResistance (EChannel channel)
| Returns Resistance on specified channel.
float | GetPinAvg ()
| Returns average input power(integration time = 1 second)
int | GetWcState ()
| Reading returns WC state.
void | SetWcState (int state)
| writing sets state of WC output signal
EAutoConfig | GetAutoConfig ()
| Returns parameter value stored in driver's board EEPROM (Off, Internal triggerType, External triggerType)
void | SetAutoConfig (EAutoConfig eAutoConfig)
| Sets parameter value stored in driver's board EEPROM (Off, Internal triggerType, External triggerType)
List< byte > | GetI2CList (EChannel channel)
| Returns list of I2C addresses on specified channel.
void | SetGpioState (int value)
| Sets logical level on GPIO pins (bitwise; 0=LOW, 1=HIGH) Bit# 0 - external GPIO0 1 - external GPIO1 2 - external GPIO2 3 - external GPIO3 4 - internal GPIO_IN0 5 - internal GPIO_IN1 6 - internal GPIO_IN4 7 - internal GPIO_IN5.
int | GetGPIOState ()
| Gets logical level on GPIO pins (bitwise; 0=LOW, 1=HIGH) Bit# 0 - external GPIO0 1 - external GPIO1 2 - external GPIO2 3 - external GPIO3 4 - internal GPIO_IN0 5 - internal GPIO_IN1 6 - internal GPIO_IN4 7 - internal GPIO_IN5.
void | SetGpioDirection (int value)
| Set direction of GPIO pins(bitwise; 0=INPUT, 1=OUTPUT) Bit# 0 - external GPIO0 1 - external GPIO1 2 - external GPIO2 3 - external GPIO3 4 - internal GPIO_IN0 5 - internal GPIO_IN1 6 - internal GPIO_IN4 7 - internal GPIO_IN5.
int | GetGPIODirection ()
| Get direction of GPIO pins(bitwise; 0=INPUT, 1=OUTPUT) Bit# 0 - external GPIO0 1 - external GPIO1 2 - external GPIO2 3 - external GPIO3 4 - internal GPIO_IN0 5 - internal GPIO_IN1 6 - internal GPIO_IN4 7 - internal GPIO_IN5.
float | GetLensCompensationOutputCurrent (EChannel channel)
| Returns Lens Compensation output current.
float | GetLensCompensationOutputDiopter (EChannel channel)
| Returns Lens Compensation output focal power.
float | GetLoggerMaximumSamplingRate ()
| Returns maximum Sampling rate in Hz which the logger logs values.
float | GetLoggerMinimumSamplingRate ()
| Returns minimum Sampling rate in Hz which the logger logs values.
float | GetLoggerSamplingRate ()
| Returns Sampling rate in Hz which the logger logs values.
void | SetLoggerSamplingRate (float samplingRate)
| Set Sampling rate in Hz which the logger logs values.
void | SetLoggedRegisterAddress (int registerNumber, ushort registerAddress)
| Set Address of register to log in the corresponding vector.
int | GetLoggedRegisterAddress (int registerNumber)
| Returns Address of register to log in the corresponding vector.
void | StartLogger ()
| Set true to start logging, will be set to false after the memory is filled.
void | StopLogger ()
| Stop logger.
float[] | ReadLoggerRegisterLog (int registerNumber, int startIndex, int numberOfLoggedValues)
| Returns Logged values for corresponding registers.
void | SetDeviceDetectChannelMask (int detectMask)
| Enable autodetection on channel (bitwise) Range 0 - 15.
int | GetDeviceDetectChannelMask ()
| Enable autodetection on channel (bitwise)
float | GetStageOutput (ESignalFlowPath path, EStage stage, EChannel channel)
| Gets stage output.
byte[] | GetValue (int registerId)
| Returns register value.
bool | SetValue (int registerId, ValueType value)
| Set register value and returns if write was successful.
byte[] | GetVector (int registerId, int index, int count)
| Get vector value on input register with desired length.
bool | SetVector (int registerId, int index, byte[] vector)
| Set vector value on input register and returns if write was successful.
void | SetSmartStepManagerFilter (EChannel channel, bool isEnabled)
| Activate smart step filter feature on device on channel (0-3) is managed.
bool | GetSmartStepManagerFilterActivated (EChannel channel)
| Get smart step filter activation status device on channel (0-3) is managed.
void | SetAnalogInputCurrentMax (EChannel channel, float value)
| set maximum current = ADC -> 10V
void | SetAnalogInputCurrentMin (EChannel channel, float value)
| set minimum current = ADC -> 0V
float | GetAnalogInputCurrentMax (EChannel channel)
| get maximum current = ADC -> 10V
float | GetAnalogInputCurrentMin (EChannel channel)
| get minimum current = ADC -> 0V
void | SetAnalogInputDiopterMax (EChannel channel, float value)
| set maximum Dpt = ADC -> 10V
void | SetAnalogInputDiopterMin (EChannel channel, float value)
| set minimum Dpt = ADC -> 0V
float | GetAnalogInputDiopterMax (EChannel channel)
| get maximum Dpt = ADC -> 10V
float | GetAnalogInputDiopterMin (EChannel channel)
| set minimum Dpt = ADC -> 0V
CurrentLimitsDto | GetMinimumAndMaximumCurrent (EChannel channel)
| get minimum and maximum current ADC = 0V, 10V
void | SetAnalogInputVoltagePoints (EChannel channel, float[] voltages)
| set interval of points to modify -> new float[] { 0, 10 }
void | SetAnalogInputValuePoints (EChannel channel, float[] values)
| set interval of values to modify -> new float[] { -2, 3 } [dpt]
void | SetAnalogInputType (EChannel channel, EICC4cPwmUnitType type)
| set active control stage system
EICC4cPwmUnitType | GetAnalogActiveInputType (EChannel channel)
| determined by active control stage system
EICC4cPwmUnitType | GetAnalogInputType (EChannel channel)
| determined by active control stage system
void | SetAnalogInputExtrapolation (EChannel channel, EExtrapolationType extrapolation)
| set constant or linear extrapolation
EExtrapolationType | GetAnalogInputExtrapolation (EChannel channel)
| get constant or linear extrapolation
int | ReadNumberOfAvailableSnapshots ()
| Number of available snapshot slots, read-only.
int | ReadSnapshotManagerErrorValue ()
| ID of value which caused the last snapshot error.
int | ReadSnapshotManagerErrorSystemId ()
| ID of system which caused the last snapshot error.
int | ReadSnapshotManagerErrorRegisterId ()
| ID of register which caused the last snapshot error.
int | ReadStartupSnapshotNumber ()
| Snapshot to load on system startup.
bool | WriteStartupSnapshotNumber (int snapshotNumber)
| Snapshot to load on system startup.
bool | LoadSnapshot (int snapshotNumber)
| Load concrete snapshot.
bool | SaveSnapshot (int snapshotNumber)
| Save concrete snapshot.
void | SetInputSignalVectorPatternValues (EChannel channel, IList< float > values, int requiredStartIndex, bool isSecondPart)
| Contents of the Vector Pattern Memory. Only addressable by units of uint32(all indices and sizes must be divisible by 4)
List< float > | GetInputSignalVectorPatternValues (EChannel channel)
| Get contents of the Vector Pattern Memory.
Public Member Functions inherited from ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController
Public Member Functions inherited from ICC4cPwmSdk.Device.IStatus
Public Member Functions inherited from ICC4cPwmSdk.Device.IDeviceEeprom
Public Member Functions inherited from ICC4cPwmSdk.Device.IBoardEeprom
Public Member Functions inherited from ICC4cPwmSdk.Device.ITemperatureManager
Public Member Functions inherited from ICC4cPwmSdk.Device.ISignalFlowManager
Public Member Functions inherited from ICC4cPwmSdk.Device.IInputStage
Public Member Functions inherited from ICC4cPwmSdk.Device.IControlModeStage
Public Member Functions inherited from ICC4cPwmSdk.Device.IOutputStage
Public Member Functions inherited from ICC4cPwmSdk.Device.IStaticValue
Public Member Functions inherited from ICC4cPwmSdk.Device.ISignalGenerator
Public Member Functions inherited from ICC4cPwmSdk.Device.IArbitraryVector
Public Member Functions inherited from ICC4cPwmSdk.Device.IOffsetAndScale
Public Member Functions inherited from ICC4cPwmSdk.Device.IMiscFeatures
Public Member Functions inherited from ICC4cPwmSdk.Device.ILensCompensation
Public Member Functions inherited from ICC4cPwmSdk.Device.IHallFeedback
Public Member Functions inherited from ICC4cPwmSdk.Device.ILoggerFeatures
Public Member Functions inherited from ICC4cPwmSdk.Device.ISmartStepManager
Public Member Functions inherited from ICC4cPwmSdk.Device.IAnalogInput
Public Member Functions inherited from ICC4cPwmSdk.Device.ISnapshotManager
Public Member Functions inherited from ICC4cPwmSdk.Device.IVectorPatternMemory

## Properties
IStatus | Status`[get]`
IDeviceEeprom | DeviceEeprom`[get]`
IBoardEeprom | BoardEeprom`[get]`
ITemperatureManager | TemperatureManager`[get]`
ISignalFlowManager | SignalFlowManager`[get]`
IMiscFeatures | MiscFeatures`[get]`
IHallFeedback | HallFeedback`[get]`
ILoggerFeatures | LoggerFeatures`[get]`
ISmartStepManager | SmartStepManager`[get]`
ISnapshotManager | SnapshotManager`[get]`
IVectorPatternMemory | VectorPatternMemory`[get]`
IInputStage | InputStage`[get]`
IInputConditioningStage | InputConditioningStage`[get]`
IControlModeStage | ControlModeStage`[get]`
IOutputStage | OutputStage`[get]`
ILensCompensation | LensCompensation`[get]`
IStaticValue | StaticValue`[get]`
ISignalGenerator | SignalGenerator`[get]`
IArbitraryVector | ArbitraryVector`[get]`
IAnalogInput | AnalogInput`[get]`
IOffsetAndScale | OffsetAndScale`[get]`
Properties inherited from ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController
Properties inherited from ICC4cPwmSdk.Device.ISignalFlowManager
Properties inherited from ICC4cPwmSdk.Device.IInputStage
Properties inherited from ICC4cPwmSdk.Device.IInputConditioningStage
Properties inherited from ICC4cPwmSdk.Device.IControlModeStage

## Constructor & Destructor Documentation

## ◆ ICC4cPwmSdkDeviceController()

ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.ICC4cPwmSdkDeviceController | ( | bool | isEthernet = false | ) |

## Member Function Documentation

## ◆ ChangeActiveSystem()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.ChangeActiveSystem | ( | EChannel | channel,
|  | EInputSignalStageSystem | selectedInputStageSystem )

Changes active input system of the channel.

Returns

Implements ICC4cPwmSdk.Device.IInputStage.

## ◆ ChangeModeToPro()

bool ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.ChangeModeToPro | ( |  | ) |

Switches device to PRO mode.

Returns

Implements ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.

## ◆ ChangeModeToSimple()

bool ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.ChangeModeToSimple | ( |  | ) |

Switches device to SIMPLE mode.

Returns

Implements ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.

## ◆ Connect() [1/2]

bool ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.Connect | ( | int | port | ) |

Connects to the device through COM port.

Implements ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.

## ◆ Connect() [2/2]

bool ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.Connect | ( | string | ipAddress,
|  | int | port )

Connects to the device through Ethernet.

Implements ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.

## ◆ Disconnect()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.Disconnect | ( | bool | cleanUp | ) |

Disconnects from the device.

Implements ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.

## ◆ EnableSensorReadout()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.EnableSensorReadout | ( | bool | enable | ) |

Enables hall sensor feedback.

Returns

Implements ICC4cPwmSdk.Device.IHallFeedback.

## ◆ GetAdcI()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetAdcI | ( | EChannel | channel | ) |

Returns current on specified channel.

Returns

Implements ICC4cPwmSdk.Device.IMiscFeatures.

## ◆ GetAdcV()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetAdcV | ( | EChannel | channel | ) |

Returns voltage on specified channel.

Returns

Implements ICC4cPwmSdk.Device.IMiscFeatures.

## ◆ GetAmplitude()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetAmplitude | ( | EChannel | channel | ) |

Returns amplitude of generated signal.

Returns

Implements ICC4cPwmSdk.Device.ISignalGenerator.

## ◆ GetAnalogActiveInputType()

EICC4cPwmUnitType ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetAnalogActiveInputType | ( | EChannel | channel | ) |

determined by active control stage system

Parameters

  channel | channel

Returns
  EICC4cPwmUnitType

Implements ICC4cPwmSdk.Device.IAnalogInput.

## ◆ GetAnalogIn()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetAnalogIn | ( | EChannel | channel | ) |

Returns analog input on specified channel.

Parameters

  channel |

Returns

Implements ICC4cPwmSdk.Device.IMiscFeatures.

## ◆ GetAnalogInputCurrentMax()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetAnalogInputCurrentMax | ( | EChannel | channel | ) |

get maximum current = ADC -> 10V

Parameters

  channel | channel

Returns
  current

Implements ICC4cPwmSdk.Device.IAnalogInput.

## ◆ GetAnalogInputCurrentMin()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetAnalogInputCurrentMin | ( | EChannel | channel | ) |

get minimum current = ADC -> 0V

Parameters

  channel | channel

Returns
  current

Implements ICC4cPwmSdk.Device.IAnalogInput.

## ◆ GetAnalogInputDiopterMax()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetAnalogInputDiopterMax | ( | EChannel | channel | ) |

get maximum Dpt = ADC -> 10V

Parameters

  channel | channel

Returns
  diopter

Implements ICC4cPwmSdk.Device.IAnalogInput.

## ◆ GetAnalogInputDiopterMin()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetAnalogInputDiopterMin | ( | EChannel | channel | ) |

set minimum Dpt = ADC -> 0V

Parameters

  channel | channel

Returns
  diopter

Implements ICC4cPwmSdk.Device.IAnalogInput.

## ◆ GetAnalogInputExtrapolation()

EExtrapolationType ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetAnalogInputExtrapolation | ( | EChannel | channel | ) |

get constant or linear extrapolation

Parameters

  channel | channel

Returns
  EExtrapolationType

Implements ICC4cPwmSdk.Device.IAnalogInput.

## ◆ GetAnalogInputType()

EICC4cPwmUnitType ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetAnalogInputType | ( | EChannel | channel | ) |

determined by active control stage system

Parameters

  channel | channel

Returns
  GetAnalogActiveInputType

Implements ICC4cPwmSdk.Device.IAnalogInput.

## ◆ GetAutoConfig()

EAutoConfig ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetAutoConfig | ( |  | ) |

Returns parameter value stored in driver's board EEPROM (Off, Internal triggerType, External triggerType)

Returns

Implements ICC4cPwmSdk.Device.IMiscFeatures.

## ◆ GetBoardFirmwareBranch()

int ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetBoardFirmwareBranch | ( |  | ) |

Returns branch ID of the electronic.

Returns

Implements ICC4cPwmSdk.Device.IStatus.

## ◆ GetBoardFirmwareBuildVersion()

int ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetBoardFirmwareBuildVersion | ( |  | ) |

Returns firmware build version of the electronic.

Returns

Implements ICC4cPwmSdk.Device.IStatus.

## ◆ GetBoardFirmwareId()

int ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetBoardFirmwareId | ( |  | ) |

Returns firmware ID of the electronic.

Returns

Implements ICC4cPwmSdk.Device.IStatus.

## ◆ GetBoardFirmwareMajorVersion()

int ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetBoardFirmwareMajorVersion | ( |  | ) |

Returns firmware major version of the electronic.

Returns

Implements ICC4cPwmSdk.Device.IStatus.

## ◆ GetBoardFirmwareMinorVersion()

int ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetBoardFirmwareMinorVersion | ( |  | ) |

Returns firmware minor version of the electronic.

Returns

Implements ICC4cPwmSdk.Device.IStatus.

## ◆ GetBoardFirmwareRevisionVersion()

int ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetBoardFirmwareRevisionVersion | ( |  | ) |

Returns firmware revision version of the electronic.

Returns

Implements ICC4cPwmSdk.Device.IStatus.

## ◆ GetBoardFirmwareType()

char ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetBoardFirmwareType | ( |  | ) |

Returns type of the electronic.

Returns

Implements ICC4cPwmSdk.Device.IStatus.

## ◆ GetBoardOutputTemperature()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetBoardOutputTemperature | ( |  | ) |

Returns board output temperature.

Returns

Implements ICC4cPwmSdk.Device.ITemperatureManager.

## ◆ GetBoardOutputTemperatureThreshold()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetBoardOutputTemperatureThreshold | ( |  | ) |

Returns board output temperature threshold.

Returns

Implements ICC4cPwmSdk.Device.ITemperatureManager.

## ◆ GetBoardPowerTemperature()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetBoardPowerTemperature | ( |  | ) |

Returns board power temperature.

Returns

Implements ICC4cPwmSdk.Device.ITemperatureManager.

## ◆ GetBoardPowerTemperatureThreshold()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetBoardPowerTemperatureThreshold | ( |  | ) |

Returns board power temperature threshold.

Returns

Implements ICC4cPwmSdk.Device.ITemperatureManager.

## ◆ GetBytes()

byte[] ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetBytes | ( | EChannel | channel,
|  | int | index,
|  | int | length )

Returns EEPROM bytes of the product.

Parameters

  index | Index of the start
  length | Amount of Get bytes

Returns

Implements ICC4cPwmSdk.Device.IDeviceEeprom.

## ◆ GetConnectedDeviceTypes()

List< EConnectedDeviceType > ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetConnectedDeviceTypes | ( |  | ) |

Returns all connected product types on all channels.

Returns

Implements ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.

## ◆ GetCurrent()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetCurrent | ( | EChannel | channel | ) |

Returns static input in amperes.

Returns

Implements ICC4cPwmSdk.Device.IStaticValue.

## ◆ GetDeviceDetectChannelMask()

int ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetDeviceDetectChannelMask | ( |  | ) |

Enable autodetection on channel (bitwise)

Returns

Implements ICC4cPwmSdk.Device.IBoardEeprom.

## ◆ GetDeviceEepromSize()

int ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetDeviceEepromSize | ( | EChannel | channel | ) |

Returns EEPROM size of the device.

Returns

Implements ICC4cPwmSdk.Device.IDeviceEeprom.

## ◆ GetDeviceStatus()

IDeviceErrorState[] ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetDeviceStatus | ( |  | ) |

Returns states of the device.

Returns

Implements ICC4cPwmSdk.Device.IStatus.

## ◆ GetDeviceTemperature()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetDeviceTemperature | ( | EChannel | channel | ) |

Returns device temperature.

Returns

Implements ICC4cPwmSdk.Device.ITemperatureManager.

## ◆ GetDeviceTemperatureThreshold()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetDeviceTemperatureThreshold | ( | EChannel | channel | ) |

Returns board temperature threshold.

Returns

Implements ICC4cPwmSdk.Device.ITemperatureManager.

## ◆ GetDeviceType()

List< EConnectedDeviceType > ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetDeviceType | ( | EChannel | channel | ) |

Returns device type on specified channel.

Parameters

  channel |

Returns

Implements ICC4cPwmSdk.Device.IMiscFeatures.

## ◆ GetDevPower()

int ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetDevPower | ( | EChannel | channel | ) |

Returns 3v3 for device on specified channel.

Returns

Implements ICC4cPwmSdk.Device.IMiscFeatures.

## ◆ GetDiopter()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetDiopter | ( | EChannel | channel | ) |

Returns static input in dpt.

Returns

Implements ICC4cPwmSdk.Device.IStaticValue.

## ◆ GetDutyCycles()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetDutyCycles | ( | EChannel | channel | ) |

Returns duty cycle of square and pulse shapes (ignored for other shape types)

Returns

Implements ICC4cPwmSdk.Device.ISignalGenerator.

## ◆ GetEepromActiveChannel()

EChannel ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetEepromActiveChannel | ( |  | ) |

Returns the active EEPROM channel.

Returns

Implements ICC4cPwmSdk.Device.IStatus.

## ◆ GetEepromSubVersion()

int ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetEepromSubVersion | ( | EChannel | channel | ) |

Returns EEPROM subversion.

Returns

Implements ICC4cPwmSdk.Device.IDeviceEeprom.

## ◆ GetEepromVersion()

int ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetEepromVersion | ( | EChannel | channel | ) |

Returns EEPROM version.

Returns

Implements ICC4cPwmSdk.Device.IDeviceEeprom.

## ◆ GetElectronicSerialNumber()

string ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetElectronicSerialNumber | ( |  | ) |

Returns serial number of the electronic.

Returns

Implements ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.

## ◆ GetExternalTriggerDivider()

int ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetExternalTriggerDivider | ( | EChannel | channel | ) |

Gets divider for trigger signal. Default 1.

Returns

Implements ICC4cPwmSdk.Device.IArbitraryVector.

## ◆ GetExternalTriggerGpio()

EExternalTriggerGpiox ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetExternalTriggerGpio | ( | EChannel | channel | ) |

Gets GPIO for trigger signal.

Returns
  ExternalTriggerGpiox

Implements ICC4cPwmSdk.Device.IArbitraryVector.

## ◆ GetExternalTriggerOffset()

int ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetExternalTriggerOffset | ( | EChannel | channel | ) |

Gets offset for trigger signal (value must be less than divider value)

Returns

Implements ICC4cPwmSdk.Device.IArbitraryVector.

## ◆ GetFirmwareSerialNumber()

string ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetFirmwareSerialNumber | ( |  | ) |

Returns firmware serial number.

Returns

Implements ICC4cPwmSdk.Device.IStatus.

## ◆ GetFrequency()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetFrequency | ( | EChannel | channel | ) |

Returns frequency in Hz of generated signal.

Returns

Implements ICC4cPwmSdk.Device.ISignalGenerator.

## ◆ GetFrontEndPowerState()

bool ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetFrontEndPowerState | ( |  | ) |

Returns FrontEnd power supply state.

Returns

Implements ICC4cPwmSdk.Device.IMiscFeatures.

## ◆ GetFrontEndVoltage()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetFrontEndVoltage | ( |  | ) |

Returns FrontEnd supply voltage [V].

Returns

Implements ICC4cPwmSdk.Device.IMiscFeatures.

## ◆ GetGitHeadSha1()

string ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetGitHeadSha1 | ( |  | ) |

Returns Git Head SHA1.

Returns

Implements ICC4cPwmSdk.Device.IStatus.

## ◆ GetGPIODirection()

int ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetGPIODirection | ( |  | ) |

Get direction of GPIO pins(bitwise; 0=INPUT, 1=OUTPUT) Bit# 0 - external GPIO0 1 - external GPIO1 2 - external GPIO2 3 - external GPIO3 4 - internal GPIO_IN0 5 - internal GPIO_IN1 6 - internal GPIO_IN4 7 - internal GPIO_IN5.

Returns

Implements ICC4cPwmSdk.Device.IMiscFeatures.

## ◆ GetGPIOState()

int ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetGPIOState | ( |  | ) |

Gets logical level on GPIO pins (bitwise; 0=LOW, 1=HIGH) Bit# 0 - external GPIO0 1 - external GPIO1 2 - external GPIO2 3 - external GPIO3 4 - internal GPIO_IN0 5 - internal GPIO_IN1 6 - internal GPIO_IN4 7 - internal GPIO_IN5.

Returns

Implements ICC4cPwmSdk.Device.IMiscFeatures.

## ◆ GetI2CList()

List< byte > ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetI2CList | ( | EChannel | channel | ) |

Returns list of I2C addresses on specified channel.

Parameters

  channel |

Returns

Implements ICC4cPwmSdk.Device.IMiscFeatures.

## ◆ GetIin()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetIin | ( |  | ) |

Returns IIN.

Returns

Implements ICC4cPwmSdk.Device.IMiscFeatures.

## ◆ GetInputSignalVectorPatternValues()

List< float > ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetInputSignalVectorPatternValues | ( | EChannel | channel | ) |

Get contents of the Vector Pattern Memory.

Returns
  vector

Implements ICC4cPwmSdk.Device.IVectorPatternMemory.

## ◆ GetLensCompensationOutputCurrent()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetLensCompensationOutputCurrent | ( | EChannel | channel | ) |

Returns Lens Compensation output current.

Returns

Implements ICC4cPwmSdk.Device.ILensCompensation.

## ◆ GetLensCompensationOutputDiopter()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetLensCompensationOutputDiopter | ( | EChannel | channel | ) |

Returns Lens Compensation output focal power.

Returns

Implements ICC4cPwmSdk.Device.ILensCompensation.

## ◆ GetLoggedRegisterAddress()

int ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetLoggedRegisterAddress | ( | int | registerNumber | ) |

Returns Address of register to log in the corresponding vector.

Returns

Implements ICC4cPwmSdk.Device.ILoggerFeatures.

## ◆ GetLoggerMaximumSamplingRate()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetLoggerMaximumSamplingRate | ( |  | ) |

Returns maximum Sampling rate in Hz which the logger logs values.

Returns

Implements ICC4cPwmSdk.Device.ILoggerFeatures.

## ◆ GetLoggerMinimumSamplingRate()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetLoggerMinimumSamplingRate | ( |  | ) |

Returns minimum Sampling rate in Hz which the logger logs values.

Returns

Implements ICC4cPwmSdk.Device.ILoggerFeatures.

## ◆ GetLoggerSamplingRate()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetLoggerSamplingRate | ( |  | ) |

Returns Sampling rate in Hz which the logger logs values.

Returns

Implements ICC4cPwmSdk.Device.ILoggerFeatures.

## ◆ GetMaximumSamplingRate()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetMaximumSamplingRate | ( | EChannel | channel | ) |

Returns maximum sampling rate in Hz.

Returns

Implements ICC4cPwmSdk.Device.IArbitraryVector.

## ◆ GetMaxNegativeCurrent()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetMaxNegativeCurrent | ( | EChannel | channel | ) |

Returns max negative current.

Returns

Implements ICC4cPwmSdk.Device.IDeviceEeprom.

## ◆ GetMaxPositiveCurrent()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetMaxPositiveCurrent | ( | EChannel | channel | ) |

Returns max positive current.

Returns

Implements ICC4cPwmSdk.Device.IDeviceEeprom.

## ◆ GetMinimumAndMaximumCurrent()

CurrentLimitsDto ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetMinimumAndMaximumCurrent | ( | EChannel | channel | ) |

get minimum and maximum current ADC = 0V, 10V

Parameters

  channel | channel

Returns
  CurrentLimitsDto

Implements ICC4cPwmSdk.Device.IAnalogInput.

## ◆ GetMinimumSamplingRate()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetMinimumSamplingRate | ( | EChannel | channel | ) |

Returns minimum sampling rate in Hz.

Returns

Implements ICC4cPwmSdk.Device.IArbitraryVector.

## ◆ GetNormalisedHallSensor()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetNormalisedHallSensor | ( | ESensor | sensor | ) |

Returns normalised value of the hall sensor.

Returns

Implements ICC4cPwmSdk.Device.IHallFeedback.

## ◆ GetOqcResult()

int ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetOqcResult | ( | EChannel | channel | ) |

Returns OQC result of the device.

Returns

Implements ICC4cPwmSdk.Device.IDeviceEeprom.

## ◆ GetOutputStageCurrentLimit()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetOutputStageCurrentLimit | ( | EChannel | channel | ) |

Returns current limit on output stage.

Returns

Implements ICC4cPwmSdk.Device.IOutputStage.

## ◆ GetOutputStageEnabled()

bool ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetOutputStageEnabled | ( | EChannel | channel | ) |

Returns if output stage on driver is enabled.

Returns

Implements ICC4cPwmSdk.Device.IOutputStage.

## ◆ GetOutputStageOutputCurrent()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetOutputStageOutputCurrent | ( | EChannel | channel | ) |

Returns output stage current.

Returns

Implements ICC4cPwmSdk.Device.IOutputStage.

## ◆ GetOutputStagePwmFrequency()

EPwmFrequency ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetOutputStagePwmFrequency | ( |  | ) |

Returns output stage PWM frequency [400, 500, 600, 1000 and 1200 kHz].

Returns

Implements ICC4cPwmSdk.Device.IMiscFeatures.

## ◆ GetOutputStageSensorOutput()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetOutputStageSensorOutput | ( | EChannel | channel | ) |

Returns Output stage sensor output.

Returns

Implements ICC4cPwmSdk.Device.IOutputStage.

## ◆ GetPartConfiguration()

int ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetPartConfiguration | ( | EChannel | channel | ) |

Returns part configuration value.

Returns

Implements ICC4cPwmSdk.Device.IDeviceEeprom.

## ◆ GetPartConfigurationVersion()

int ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetPartConfigurationVersion | ( | EChannel | channel | ) |

Returns part configuration version value.

Returns

Implements ICC4cPwmSdk.Device.IDeviceEeprom.

## ◆ GetPhaseDelay()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetPhaseDelay | ( | EChannel | channel | ) |

Returns phase in rad of generated signal.

Returns

Implements ICC4cPwmSdk.Device.ISignalGenerator.

## ◆ GetPhaseDelayDegrees()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetPhaseDelayDegrees | ( | EChannel | channel | ) |

Returns phase in degrees of generated signal.

Returns

Implements ICC4cPwmSdk.Device.ISignalGenerator.

## ◆ GetPinAvg()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetPinAvg | ( |  | ) |

Returns average input power(integration time = 1 second)

Returns

Implements ICC4cPwmSdk.Device.IMiscFeatures.

## ◆ GetProductionTimeStamp()

uint ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetProductionTimeStamp | ( | EChannel | channel | ) |

Returns production time stamp of the device.

Returns

Implements ICC4cPwmSdk.Device.IDeviceEeprom.

## ◆ GetProductSerialNumberOnChannel()

string ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetProductSerialNumberOnChannel | ( | EChannel | channel | ) |

Returns serial number of the product on specific channel.

Returns

Implements ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.

## ◆ GetProductTypeOnChannel()

List< EConnectedDeviceType > ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetProductTypeOnChannel | ( | EChannel | channel | ) |

Returns type of the product on specific channel.

Returns

Implements ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.

## ◆ GetResistance()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetResistance | ( | EChannel | channel | ) |

Returns Resistance on specified channel.

Parameters

  channel |

Returns

Implements ICC4cPwmSdk.Device.IMiscFeatures.

## ◆ GetSampleRate()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetSampleRate | ( | EChannel | channel | ) |

Returns sample rate in Hz.

Returns

Implements ICC4cPwmSdk.Device.IArbitraryVector.

## ◆ GetScale()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetScale | ( | EChannel | channel | ) |

Returns multiplier of input.

Returns

Implements ICC4cPwmSdk.Device.IOffsetAndScale.

## ◆ GetShape()

ESignalGeneratorShape ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetShape | ( | EChannel | channel | ) |

Returns shape of waveform.

Returns

Implements ICC4cPwmSdk.Device.ISignalGenerator.

## ◆ GetSignalGeneratorValues()

SignalGeneratorParametersDto ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetSignalGeneratorValues | ( | EChannel | channel | ) |

Returns object populated with signal generator values.

Returns

Implements ICC4cPwmSdk.Device.ISignalGenerator.

## ◆ GetSmartStepManagerFilterActivated()

bool ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetSmartStepManagerFilterActivated | ( | EChannel | channel | ) |

Get smart step filter activation status device on channel (0-3) is managed.

Returns

Implements ICC4cPwmSdk.Device.ISmartStepManager.

## ◆ GetStageOutput()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetStageOutput | ( | ESignalFlowPath | path,
|  | EStage | stage,
|  | EChannel | channel )

Gets stage output.

Returns

Implements ICC4cPwmSdk.Device.ISignalFlowManager.

## ◆ GetTransitionRate()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetTransitionRate | ( | EChannel | channel | ) |

Returns Transition rate of the output. Limits change of output value per second (0.0 means no limit)

Returns

Implements ICC4cPwmSdk.Device.IOffsetAndScale.

## ◆ GetUfe()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetUfe | ( |  | ) |

Returns UFE.

Returns

Implements ICC4cPwmSdk.Device.IMiscFeatures.

## ◆ GetUin()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetUin | ( |  | ) |

Returns UIN.

Returns

Implements ICC4cPwmSdk.Device.IMiscFeatures.

## ◆ GetUnitlessValue()

float ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetUnitlessValue | ( | EChannel | channel | ) |

Returns unitless value.

Returns

Implements ICC4cPwmSdk.Device.IStaticValue.

## ◆ GetValue()

byte[] ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetValue | ( | int | registerId | ) |

Returns register value.

Returns

Implements ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.

## ◆ GetVector()

byte[] ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetVector | ( | int | registerId,
|  | int | index,
|  | int | count )

Get vector value on input register with desired length.

Returns

Implements ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.

## ◆ GetVectorValues()

float[] ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetVectorValues | ( | EChannel | channel | ) |

Returns list of vector values

Returns

Implements ICC4cPwmSdk.Device.IArbitraryVector.

## ◆ GetWcState()

int ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GetWcState | ( |  | ) |

Reading returns WC state.

Returns

Implements ICC4cPwmSdk.Device.IMiscFeatures.

## ◆ GoToDfuMode()

bool ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.GoToDfuMode | ( |  | ) |

Switches device to DFU mode.

Returns

Implements ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.

## ◆ IsConnected()

bool ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.IsConnected | ( |  | ) |

Returns true, if connection to device is established.

Returns

Implements ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.

## ◆ LoadSnapshot()

bool ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.LoadSnapshot | ( | int | snapshotNumber | ) |

Load concrete snapshot.

Returns
  true/false

Implements ICC4cPwmSdk.Device.ISnapshotManager.

## ◆ LockDeviceEepromWriting()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.LockDeviceEepromWriting | ( | EChannel | channel | ) |

Locks device EEPROM writing.

Returns

Implements ICC4cPwmSdk.Device.IDeviceEeprom.

## ◆ ReadLoggerRegisterLog()

float[] ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.ReadLoggerRegisterLog | ( | int | registerNumber,
|  | int | startIndex,
|  | int | numberOfLoggedValues )

Returns Logged values for corresponding registers.

Returns

Implements ICC4cPwmSdk.Device.ILoggerFeatures.

## ◆ ReadNumberOfAvailableSnapshots()

int ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.ReadNumberOfAvailableSnapshots | ( |  | ) |

Number of available snapshot slots, read-only.

Returns
  capacity

Implements ICC4cPwmSdk.Device.ISnapshotManager.

## ◆ ReadSnapshotManagerErrorRegisterId()

int ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.ReadSnapshotManagerErrorRegisterId | ( |  | ) |

ID of register which caused the last snapshot error.

Returns
  errorRegisterId

Implements ICC4cPwmSdk.Device.ISnapshotManager.

## ◆ ReadSnapshotManagerErrorSystemId()

int ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.ReadSnapshotManagerErrorSystemId | ( |  | ) |

ID of system which caused the last snapshot error.

Returns
  errorSystemId

Implements ICC4cPwmSdk.Device.ISnapshotManager.

## ◆ ReadSnapshotManagerErrorValue()

int ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.ReadSnapshotManagerErrorValue | ( |  | ) |

ID of value which caused the last snapshot error.

Returns
  errorValue

Implements ICC4cPwmSdk.Device.ISnapshotManager.

## ◆ ReadStartupSnapshotNumber()

int ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.ReadStartupSnapshotNumber | ( |  | ) |

Snapshot to load on system startup.

Returns
  snapshotNumber

Implements ICC4cPwmSdk.Device.ISnapshotManager.

## ◆ Reconnect()

bool ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.Reconnect | ( |  | ) |

Reconnects to already connected device.

Returns

Implements ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.

## ◆ ReparseDeviceEeprom()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.ReparseDeviceEeprom | ( | EChannel | channel | ) |

Reparse device EEPROM.

Returns

Implements ICC4cPwmSdk.Device.IDeviceEeprom.

## ◆ ResetErrorFlags()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.ResetErrorFlags | ( |  | ) |

Resets error flag to 0.

Returns

Implements ICC4cPwmSdk.Device.IStatus.

## ◆ ResetFirmware()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.ResetFirmware | ( |  | ) |

Resets Firmware.

Implements ICC4cPwmSdk.Device.IMiscFeatures.

## ◆ SaveSnapshot()

bool ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SaveSnapshot | ( | int | snapshotNumber | ) |

Save concrete snapshot.

Returns
  true/false

Implements ICC4cPwmSdk.Device.ISnapshotManager.

## ◆ SensorTransformMatrix()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SensorTransformMatrix | ( | EChannel | channel,
|  | float[] | matrix )

Sensor Transform Matrix.

Returns

Implements ICC4cPwmSdk.Device.IHallFeedback.

## ◆ SetActiveSystem()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetActiveSystem | ( | EIcc4cControlModeSystems | controlModeSystem,
|  | EChannel | channel )

Sets active control mode system of the axis.

Returns

Implements ICC4cPwmSdk.Device.IControlModeStage.

## ◆ SetAmplitude()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetAmplitude | ( | EChannel | channel,
|  | float | value )

Sets amplitude of generated signal.

Returns

Implements ICC4cPwmSdk.Device.ISignalGenerator.

## ◆ SetAnalogInputCurrentMax()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetAnalogInputCurrentMax | ( | EChannel | channel,
|  | float | current )

set maximum current = ADC -> 10V

Parameters

  channel | channel
  current | current

Returns

Implements ICC4cPwmSdk.Device.IAnalogInput.

## ◆ SetAnalogInputCurrentMin()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetAnalogInputCurrentMin | ( | EChannel | channel,
|  | float | current )

set minimum current = ADC -> 0V

Parameters

  channel | channel
  current | current

Returns

Implements ICC4cPwmSdk.Device.IAnalogInput.

## ◆ SetAnalogInputDiopterMax()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetAnalogInputDiopterMax | ( | EChannel | channel,
|  | float | diopter )

set maximum Dpt = ADC -> 10V

Parameters

  channel | channel
  diopter | diopter

Returns

Implements ICC4cPwmSdk.Device.IAnalogInput.

## ◆ SetAnalogInputDiopterMin()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetAnalogInputDiopterMin | ( | EChannel | channel,
|  | float | diopter )

set minimum Dpt = ADC -> 0V

Parameters

  channel | channel
  diopter | diopter

Returns

Implements ICC4cPwmSdk.Device.IAnalogInput.

## ◆ SetAnalogInputExtrapolation()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetAnalogInputExtrapolation | ( | EChannel | channel,
|  | EExtrapolationType | extrapolation )

set constant or linear extrapolation

Parameters

  channel | channel
  extrapolation | extrapolation

Returns

Implements ICC4cPwmSdk.Device.IAnalogInput.

## ◆ SetAnalogInputType()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetAnalogInputType | ( | EChannel | channel,
|  | EICC4cPwmUnitType | unitType )

set active control stage system

Parameters

  channel | channel
  unitType | unit type

Returns

Implements ICC4cPwmSdk.Device.IAnalogInput.

## ◆ SetAnalogInputValuePoints()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetAnalogInputValuePoints | ( | EChannel | channel,
|  | float[] | values )

set interval of values to modify -> new float[] { -2, 3 } [dpt]

Parameters

  channel | channel
  values | values

Returns

Implements ICC4cPwmSdk.Device.IAnalogInput.

## ◆ SetAnalogInputVoltagePoints()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetAnalogInputVoltagePoints | ( | EChannel | channel,
|  | float[] | voltages )

set interval of points to modify -> new float[] { 0, 10 }

Parameters

  channel | channel
  voltages | voltages

Returns

Implements ICC4cPwmSdk.Device.IAnalogInput.

## ◆ SetAutoConfig()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetAutoConfig | ( | EAutoConfig | eAutoConfig | ) |

Sets parameter value stored in driver's board EEPROM (Off, Internal triggerType, External triggerType)

Returns

Implements ICC4cPwmSdk.Device.IMiscFeatures.

## ◆ SetBoardOutputTemperatureThreshold()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetBoardOutputTemperatureThreshold | ( | float | temperatureThreshold | ) |

Sets board output temperature threshold.

Returns

Implements ICC4cPwmSdk.Device.ITemperatureManager.

## ◆ SetBoardPowerTemperatureThreshold()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetBoardPowerTemperatureThreshold | ( | float | temperatureThreshold | ) |

Sets board power temperature threshold.

Returns

Implements ICC4cPwmSdk.Device.ITemperatureManager.

## ◆ SetBytes()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetBytes | ( | EChannel | channel,
|  | int | index,
|  | byte[] | inputBytes )

Sets EEPROM bytes of the product.

Parameters

  index | Index of the start
  inputBytes | Bytes to be set
  channel |

Returns

Implements ICC4cPwmSdk.Device.IDeviceEeprom.

## ◆ SetCurrent()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetCurrent | ( | EChannel | channel,
|  | float | value )

Sets static input in amperes.

Returns

Implements ICC4cPwmSdk.Device.IStaticValue.

## ◆ SetDefaultState()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetDefaultState | ( | int | value | ) |

Set default hall state.

Returns

Implements ICC4cPwmSdk.Device.IHallFeedback.

## ◆ SetDeviceDetectChannelMask()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetDeviceDetectChannelMask | ( | int | detectMask | ) |

Enable autodetection on channel (bitwise) Range 0 - 15.

Returns

Implements ICC4cPwmSdk.Device.IBoardEeprom.

## ◆ SetDeviceTemperatureThreshold()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetDeviceTemperatureThreshold | ( | EChannel | channel,
|  | float | temperatureThreshold )

Sets device temperature threshold.

Returns

Implements ICC4cPwmSdk.Device.ITemperatureManager.

## ◆ SetDevPower()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetDevPower | ( | EChannel | channel,
|  | int | power )

Sets 3v3 for device on specified channel.

Returns

Implements ICC4cPwmSdk.Device.IMiscFeatures.

## ◆ SetDiopter()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetDiopter | ( | EChannel | channel,
|  | float | value )

Sets static input in dpt.

Returns

Implements ICC4cPwmSdk.Device.IStaticValue.

## ◆ SetDutyCycles()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetDutyCycles | ( | EChannel | channel,
|  | float | dutyCycles )

Sets duty cycle of square and pulse shapes (ignored for other shape types)

Returns

Implements ICC4cPwmSdk.Device.ISignalGenerator.

## ◆ SetEepromActiveChannel()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetEepromActiveChannel | ( | EChannel | channel | ) |

Sets the active EEPROM channel.

Returns

Implements ICC4cPwmSdk.Device.IStatus.

## ◆ SetExternalTriggerDivider()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetExternalTriggerDivider | ( | EChannel | channel,
|  | int | divider )

Sets divider for trigger signal. Default 1.

Returns

Implements ICC4cPwmSdk.Device.IArbitraryVector.

## ◆ SetExternalTriggerGpio()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetExternalTriggerGpio | ( | EChannel | channel,
|  | EExternalTriggerGpiox | enabled )

Sets GPIO for trigger signal.

Returns

Implements ICC4cPwmSdk.Device.IArbitraryVector.

## ◆ SetExternalTriggerOffset()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetExternalTriggerOffset | ( | EChannel | channel,
|  | int | divider )

Sets offset for trigger signal (value must be less than divider value).

Returns

Implements ICC4cPwmSdk.Device.IArbitraryVector.

## ◆ SetFontEndPowerState()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetFontEndPowerState | ( | bool | state | ) |

Sets FrontEnd power supply state.

Parameters

  state |

Implements ICC4cPwmSdk.Device.IMiscFeatures.

## ◆ SetFrequency()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetFrequency | ( | EChannel | channel,
|  | float | value )

Sets frequency in Hz of generated signal.

Returns

Implements ICC4cPwmSdk.Device.ISignalGenerator.

## ◆ SetFrontEndVoltage()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetFrontEndVoltage | ( | float | frontEndVoltage | ) |

Sets FrontEnd supply voltage [V].

Returns

Implements ICC4cPwmSdk.Device.IMiscFeatures.

## ◆ SetGpioDirection()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetGpioDirection | ( | int | value | ) |

Set direction of GPIO pins(bitwise; 0=INPUT, 1=OUTPUT) Bit# 0 - external GPIO0 1 - external GPIO1 2 - external GPIO2 3 - external GPIO3 4 - internal GPIO_IN0 5 - internal GPIO_IN1 6 - internal GPIO_IN4 7 - internal GPIO_IN5.

Returns

Implements ICC4cPwmSdk.Device.IMiscFeatures.

## ◆ SetGpioState()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetGpioState | ( | int | value | ) |

Sets logical level on GPIO pins (bitwise; 0=LOW, 1=HIGH) Bit# 0 - external GPIO0 1 - external GPIO1 2 - external GPIO2 3 - external GPIO3 4 - internal GPIO_IN0 5 - internal GPIO_IN1 6 - internal GPIO_IN4 7 - internal GPIO_IN5.

Returns

Implements ICC4cPwmSdk.Device.IMiscFeatures.

## ◆ SetInputSignalVectorPatternValues()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetInputSignalVectorPatternValues | ( | EChannel | channel,
|  | IList< float > | values,
|  | int | requiredStartIndex,
|  | bool | isSecondPart )

Contents of the Vector Pattern Memory. Only addressable by units of uint32(all indices and sizes must be divisible by 4)

Returns

Implements ICC4cPwmSdk.Device.IVectorPatternMemory.

## ◆ SetLinearizationCoefficients()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetLinearizationCoefficients | ( | ESensor | sensor,
|  | float | c,
|  | float | d1,
|  | float | d2,
|  | float | d3,
|  | float | d4,
|  | float | e )

Set Linearization coefficients.

Returns

Implements ICC4cPwmSdk.Device.IHallFeedback.

## ◆ SetLoggedRegisterAddress()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetLoggedRegisterAddress | ( | int | registerNumber,
|  | ushort | registerAddress )

Set Address of register to log in the corresponding vector.

Returns

Implements ICC4cPwmSdk.Device.ILoggerFeatures.

## ◆ SetLoggerSamplingRate()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetLoggerSamplingRate | ( | float | samplingRate | ) |

Set Sampling rate in Hz which the logger logs values.

Returns

Implements ICC4cPwmSdk.Device.ILoggerFeatures.

## ◆ SetOutputConditioningStageSystem()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetOutputConditioningStageSystem | ( | EChannel | channel,
|  | EOutputConditioningStageSystem | filter )

Set conditioning filter.

Returns

Implements ICC4cPwmSdk.Device.IHallFeedback.

## ◆ SetOutputStageCurrentLimit()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetOutputStageCurrentLimit | ( | EChannel | channel,
|  | float | limit )

Set current limit on output stage.

Returns

Implements ICC4cPwmSdk.Device.IOutputStage.

## ◆ SetOutputStageEnabled()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetOutputStageEnabled | ( | EChannel | channel,
|  | bool | enabled )

Enable/Disable output stage.

Returns

Implements ICC4cPwmSdk.Device.IOutputStage.

## ◆ SetOutputStagePwmFrequency()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetOutputStagePwmFrequency | ( | EPwmFrequency | frequency | ) |

Sets output stage PWM frequency [400, 500, 600, 1000 and 1200 kHz].

Returns

Implements ICC4cPwmSdk.Device.IMiscFeatures.

## ◆ SetPhaseDelay()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetPhaseDelay | ( | EChannel | channel,
|  | float | phaseDelay )

Sets phase in rad of generated signal.

Returns

Implements ICC4cPwmSdk.Device.ISignalGenerator.

## ◆ SetPhaseDelayDegrees()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetPhaseDelayDegrees | ( | EChannel | channel,
|  | float | phaseDelay )

Sets phase in degrees of generated signal.

Returns

Implements ICC4cPwmSdk.Device.ISignalGenerator.

## ◆ SetPidAsControlMode()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetPidAsControlMode | ( | EChannel | channel,
|  | int | enabled )

Set PID as control mode.

Returns

Implements ICC4cPwmSdk.Device.IHallFeedback.

## ◆ SetPidFilterCutOffFrequencyOnChannel()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetPidFilterCutOffFrequencyOnChannel | ( | EChannel | channel,
|  | float | frequency )

Set Cut off.

Returns

Implements ICC4cPwmSdk.Device.IHallFeedback.

## ◆ SetPidGainsOnChannel()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetPidGainsOnChannel | ( | EChannel | channel,
|  | float | kp,
|  | float | ki,
|  | float | kd )

Set PID gains.

Returns

Implements ICC4cPwmSdk.Device.IHallFeedback.

## ◆ SetPidMinMaxOutputFeedbackOnChannel()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetPidMinMaxOutputFeedbackOnChannel | ( | EChannel | channel,
|  | float | min,
|  | float | max )

Set PID min/max output on hall feedback.

Returns

Implements ICC4cPwmSdk.Device.IHallFeedback.

## ◆ SetSampleRate()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetSampleRate | ( | EChannel | channel,
|  | float | value )

Sets sample rate in Hz.

Returns

Implements ICC4cPwmSdk.Device.IArbitraryVector.

## ◆ SetScale()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetScale | ( | EChannel | channel,
|  | float | value )

Sets multiplier of input.

Returns

Implements ICC4cPwmSdk.Device.IOffsetAndScale.

## ◆ SetShape()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetShape | ( | EChannel | channel,
|  | ESignalGeneratorShape | shape )

Sets shape of waveform.

Returns

Implements ICC4cPwmSdk.Device.ISignalGenerator.

## ◆ SetSignalGeneratorValues()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetSignalGeneratorValues | ( | EChannel | channel,
|  | SignalGeneratorParametersDto | axisValues )

Sets object populated with signal generator values.

Returns

Implements ICC4cPwmSdk.Device.ISignalGenerator.

## ◆ SetSmartStepManagerFilter()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetSmartStepManagerFilter | ( | EChannel | channel,
|  | bool | isEnabled )

Activate smart step filter feature on device on channel (0-3) is managed.

Returns

Implements ICC4cPwmSdk.Device.ISmartStepManager.

## ◆ SetTransitionRate()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetTransitionRate | ( | EChannel | channel,
|  | float | value )

Sets Transition rate of the output. Limits change of output value per second (0.0 means no limit)

Returns

Implements ICC4cPwmSdk.Device.IOffsetAndScale.

## ◆ SetUnitlessValue()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetUnitlessValue | ( | EChannel | channel,
|  | float | value )

Sets unitless value.

Returns

Implements ICC4cPwmSdk.Device.IStaticValue.

## ◆ SetUnitType()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetUnitType | ( | EChannel | channel,
|  | EICC4cPwmUnitType | unit )

Sets active unit type on channel.

Returns

Implements ICC4cPwmSdk.Device.ISignalGenerator.

## ◆ SetValue()

bool ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetValue | ( | int | registerId,
|  | ValueType | value )

Set register value and returns if write was successful.

Returns

Implements ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.

## ◆ SetVector()

bool ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetVector | ( | int | registerId,
|  | int | index,
|  | byte[] | vector )

Set vector value on input register and returns if write was successful.

Returns

Implements ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.

## ◆ SetVectorValues()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetVectorValues | ( | EChannel | channel,
|  | float[] | values,
|  | int | startIndex = 0 )

Sets list of vector values

Parameters

  channel | channel
  values | List of vector values
  startIndex |

Returns

Implements ICC4cPwmSdk.Device.IArbitraryVector.

## ◆ SetWcState()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SetWcState | ( | int | state | ) |

writing sets state of WC output signal

Returns

Implements ICC4cPwmSdk.Device.IMiscFeatures.

## ◆ StartLogger()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.StartLogger | ( |  | ) |

Set true to start logging, will be set to false after the memory is filled.

Returns

Implements ICC4cPwmSdk.Device.ILoggerFeatures.

## ◆ StopLogger()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.StopLogger | ( |  | ) |

Stop logger.

Returns

Implements ICC4cPwmSdk.Device.ILoggerFeatures.

## ◆ SwitchArbitraryVector()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SwitchArbitraryVector | ( | EChannel | channel,
|  | bool | running )

Sets status of signal generator (running, stopped).

Returns

Implements ICC4cPwmSdk.Device.IArbitraryVector.

## ◆ SwitchRunning()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SwitchRunning | ( | EChannel | channel,
|  | bool | enable )

Disable/enable signal generator (running, stopped).

Returns

Implements ICC4cPwmSdk.Device.ISignalGenerator.

## ◆ UnlockDeviceEepromWriting()

void ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.UnlockDeviceEepromWriting | ( | EChannel | channel | ) |

Unlocks device EEPROM writing.

Returns

Implements ICC4cPwmSdk.Device.IDeviceEeprom.

## ◆ WriteStartupSnapshotNumber()

bool ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.WriteStartupSnapshotNumber | ( | int | snapshotNumber | ) |

Snapshot to load on system startup.

Returns
  true/false

Implements ICC4cPwmSdk.Device.ISnapshotManager.

## Property Documentation

## ◆ AnalogInput

IAnalogInput ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.AnalogInput
| get

Implements ICC4cPwmSdk.Device.IInputStage.

## ◆ ArbitraryVector

IArbitraryVector ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.ArbitraryVector
| get

Implements ICC4cPwmSdk.Device.IInputStage.

## ◆ BoardEeprom

IBoardEeprom ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.BoardEeprom
| get

Implements ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.

## ◆ ControlModeStage

IControlModeStage ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.ControlModeStage
| get

Implements ICC4cPwmSdk.Device.ISignalFlowManager.

## ◆ DeviceEeprom

IDeviceEeprom ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.DeviceEeprom
| get

Implements ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.

## ◆ HallFeedback

IHallFeedback ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.HallFeedback
| get

Implements ICC4cPwmSdk.Device.ISignalFlowManager.

## ◆ InputConditioningStage

IInputConditioningStage ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.InputConditioningStage
| get

Implements ICC4cPwmSdk.Device.ISignalFlowManager.

## ◆ InputStage

IInputStage ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.InputStage
| get

Implements ICC4cPwmSdk.Device.ISignalFlowManager.

## ◆ LensCompensation

ILensCompensation ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.LensCompensation
| get

Implements ICC4cPwmSdk.Device.IControlModeStage.

## ◆ LoggerFeatures

ILoggerFeatures ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.LoggerFeatures
| get

Implements ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.

## ◆ MiscFeatures

IMiscFeatures ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.MiscFeatures
| get

Implements ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.

## ◆ OffsetAndScale

IOffsetAndScale ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.OffsetAndScale
| get

Implements ICC4cPwmSdk.Device.IInputConditioningStage.

## ◆ OutputStage

IOutputStage ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.OutputStage
| get

Implements ICC4cPwmSdk.Device.ISignalFlowManager.

## ◆ SignalFlowManager

ISignalFlowManager ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SignalFlowManager
| get

Implements ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.

## ◆ SignalGenerator

ISignalGenerator ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SignalGenerator
| get

Implements ICC4cPwmSdk.Device.IInputStage.

## ◆ SmartStepManager

ISmartStepManager ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SmartStepManager
| get

Implements ICC4cPwmSdk.Device.ISignalFlowManager.

## ◆ SnapshotManager

ISnapshotManager ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.SnapshotManager
| get

Implements ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.

## ◆ StaticValue

IStaticValue ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.StaticValue
| get

Implements ICC4cPwmSdk.Device.IInputStage.

## ◆ Status

IStatus ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.Status
| get

Implements ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.

## ◆ TemperatureManager

ITemperatureManager ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.TemperatureManager
| get

Implements ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.

## ◆ VectorPatternMemory

IVectorPatternMemory ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.VectorPatternMemory
| get

Implements ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.

The documentation for this class was generated from the following file:

- ICC4cPwmSdkDeviceController.cs